Уязвимость BDU:2021-01394

Дата: 05.04.2017. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01394.

Наименование уязвимости: Уязвимость метода readValue класса ObjectMapper библиотеки Jackson-databind, связанная с восстановлением в памяти недостоверной структуры данных, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость метода readValue класса ObjectMapper библиотеки Jackson-databind связана с некорректной проверкой передаваемых данных до момента их десериализации. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем FasterXML, LLC Jackson-databind от 2.6.0 до 2.6.7.1 | Прикладное ПО информационных систем FasterXML, LLC Jackson-databind от 2.7.0 до 2.7.9.1 | Прикладное ПО информационных систем FasterXML, LLC Jackson-databind от 2.8.0 до 2.8.9 | Прикладное ПО информационных систем FasterXML, LLC Jackson-databind от 2.9.0.prerelease1 до 2.9.0.prerelease2 включительно |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 80 | Debian GNU/Linux 90 | Astra Linux Common Edition 212 «Орёл» | Debian GNU/Linux 100 |
Дата выявления: 05.04.2017.
CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:P/A:P
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Jackson-databind:
Обновление программного обеспечения до 2.12.1-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета jackson-databind) до 2.9.8-3+deb10u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета jackson-databind) до 2.9.8-3+deb10u1 или более поздней версии
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2017-7525.

Тип ошибки CWE: CWE-502
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7525%22
https://github.com/JavanXD/Demo-Exploit-Jackson-RCE
https://nvd.nist.gov/vuln/detail/CVE-2017-7525
https://security-tracker.debian.org/tracker/CVE-2017-7525
https://www.securityfocus.com/bid/99623/info
https://www.securitytracker.com/id/1039744

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.